#include "StateController.h"
#include "GameplayTagContainer.h"
#include "Net/UnrealNetwork.h"

void UStateController::OnRep_States()
{

}

void UStateController::OnRep_AuthorityRepCurrentState()
{

}

FGameplayTag UStateController::GetCurrentStateID() const
{
	return FGameplayTag{};
}

void UStateController::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UStateController, _states);
	DOREPLIFETIME(UStateController, _authority_RepCurrentState);
}

UStateController::UStateController()
{
	this->_defaultStateClass = NULL;
}
